Bug 974027 - non-root users can't run tuna
non-root users can't run tuna
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tuna (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Petr Oros
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 996885
  Show dependency treegraph
 
Reported: 2013-06-13 06:12 EDT by Jiri Kastner
Modified: 2013-08-14 04:45 EDT (History)
3 users (show)

See Also:
Fixed In Version: tuna-0.11.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 996885 (view as bug list)
Environment:
Last Closed: 2013-08-01 23:38:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2013-06-13 06:12:20 EDT
Description of problem:
only root can successfully launch tuna 

Version-Release number of selected component (if applicable):
0.11

How reproducible:
always

Steps to Reproduce:
1. install tuna-0.11
2. run it as non-root
3. check output

Actual results:

[user@localhost ~]$ tuna                                                     |
Traceback (most recent call last):                                              |
  File "/usr/bin/tuna", line 647, in <module>                                   |
    main()                                                                      |
  File "/usr/bin/tuna", line 641, in main                                       |
    app = tuna_gui.main_gui(kthreads, uthreads, cpus_filtered)                  |
  File "/usr/lib/python2.7/site-packages/tuna/tuna_gui.py", line 52, in __init__|
    self.check_env()                                                            |
  File "/usr/lib/python2.7/site-packages/tuna/tuna_gui.py", line 156, in check_e|
nv                                                                              |
    os.mkdir("/root/.local/")                                                   |
OSError: [Errno 13] Permission denied: '/root/.local/' 

Expected results:
tuna executed with limited functionality

Additional info:
Comment 1 Fedora Update System 2013-07-29 04:13:02 EDT
tuna-0.11.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tuna-0.11.1-1.fc19
Comment 2 Fedora Update System 2013-07-30 13:33:12 EDT
Package tuna-0.11.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tuna-0.11.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13851/tuna-0.11.1-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-08-01 02:30:53 EDT
tuna-0.11.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuna-0.11.1-1.fc18
Comment 4 Fedora Update System 2013-08-01 23:38:10 EDT
tuna-0.11.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-08-06 19:39:35 EDT
tuna-0.11.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.